# GET /visits URL: https://developers.vsee.io/api/recordings-api/get/visits operationId: listVisitsWithRecordings Auth: Admin Token — Requires the Clinic Admin API Token from your dashboard (Developers → App → Edit App). List visits with recordings Retrieve a list of visits with recordings within a specified time range Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - room_code (query, string, optional) — Room's code to filter visits - start_time (query, integer, optional) — UNIX timestamp — filter visits starting after this time - end_time (query, integer, optional) — UNIX timestamp — filter visits ending before this time - fields (query, string, optional) — Comma-separated list of field names to include in response. Use 'recordings' to include recording objects - with_recordings_only (query, integer, optional) — Set to `1` to only return visits that have recordings. [enum: 0, 1] Responses: - 200 — List of visits with recordings ```json { "data": [ { "id": "82828", "start": 1631628616, "end": 1631628916, "actual_start": 1631628211, "actual_end": null, "hosts": [], "type": 2, "status": 30, "meeting": { "recording_auto_start": false, "phone_numbers": { "US": [ "+1.650.758.0255" ] }, "hosts": [ "anton+providersa@vseelab.com", "chau+provider@vseelab.com" ], "expiry": 1633643316, "conference_pin": 838759, "meeting_id": "1633627695040_2cc263f4-3d07-49fa-97b1-b2955ff40dfa__jitsi" }, "recordings": { "count": 1, "data": [ { "id": 111, "visit_id": "82828", "end": 1633966813, "start": 1633966696, "version": 3, "participants": [ { "first_name": "Keven2", "last_name": "Teodoro2", "vseeid": "conciergedev+user575" }, { "first_name": "Keven2", "last_name": "Teodoro2", "vseeid": "provider.w@vclinic.com" } ] } ] } } ] } ```